gh(1)

NAME

gh-release-download - Download release assets

SYNOPSIS

gh release download [] [flags]

DESCRIPTION

Download assets from a GitHub release.

Without an explicit tag name argument, assets are downloaded from the latest release in the project. In this case, '--pattern' is required.

OPTIONS

-D, --dir="."
    The directory to download files into

-p, --pattern=[]
    Download only assets that match a glob pattern

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    # download all assets from a specific release
    $ gh release download v1.2.3
    # download only Debian packages for the latest release
    $ gh release download --pattern '*.deb'
    # specify multiple file patterns
    $ gh release download -p '*.deb' -p '*.rpm'

SEE ALSO

gh-release(1)